Index: code/branches/gui/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/Ambient.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Ambient.cc	(revision 1638)
@@ -65,5 +65,5 @@
 
     bool Ambient::create(){
-      GraphicsEngine::getSingleton().getSceneManager()->setAmbientLight(ambientLight_);
+      GraphicsEngine::getSingleton().getLevelSceneManager()->setAmbientLight(ambientLight_);
       return Synchronisable::create();
     }
@@ -76,5 +76,5 @@
     void Ambient::setAmbientLight(const ColourValue& colour)
     {
-	    GraphicsEngine::getSingleton().getSceneManager()->setAmbientLight(colour);
+        GraphicsEngine::getSingleton().getLevelSceneManager()->setAmbientLight(colour);
       ambientLight_=colour;	
     }
Index: code/branches/gui/src/orxonox/objects/Backlight.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/Backlight.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Backlight.cc	(revision 1638)
@@ -58,6 +58,6 @@
         this->attachObject(this->billboard_.getBillboardSet());
 
-        this->ribbonTrail_ = GraphicsEngine::getSingleton().getSceneManager()->createRibbonTrail(this->getName() + "RibbonTrail");
-        this->ribbonTrailNode_ = GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName() + "RibbonTrailNode");
+        this->ribbonTrail_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createRibbonTrail(this->getName() + "RibbonTrail");
+        this->ribbonTrailNode_ = GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName() + "RibbonTrailNode");
         this->ribbonTrailNode_->attachObject(this->ribbonTrail_);
         this->ribbonTrail_->addNode(this->getNode());
@@ -68,5 +68,5 @@
         this->ribbonTrail_->setMaterialName("Trail/backlighttrail");
 
-        this->setTimeFactor(Orxonox::getSingleton()->getTimeFactor());
+        this->setTimeFactor(Orxonox::getSingleton().getTimeFactor());
     }
 
@@ -76,6 +76,6 @@
         {
             this->detachObject(this->billboard_.getBillboardSet());
-            GraphicsEngine::getSingleton().getSceneManager()->destroySceneNode(this->getName() + "RibbonTrailNode");
-            GraphicsEngine::getSingleton().getSceneManager()->destroyRibbonTrail(this->ribbonTrail_);
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroySceneNode(this->getName() + "RibbonTrailNode");
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroyRibbonTrail(this->ribbonTrail_);
         }
     }
Index: code/branches/gui/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/Camera.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Camera.cc	(revision 1638)
@@ -52,5 +52,5 @@
   {
     this->bHasFocus_ = false;
-    this->cameraNode_ = GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->createChildSceneNode(node->getName() + "Camera");
+    this->cameraNode_ = GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->createChildSceneNode(node->getName() + "Camera");
     if( node != NULL )
       this->setPositionNode(node);
@@ -60,5 +60,5 @@
   {
     CameraHandler::getInstance()->releaseFocus(this);
-    GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->removeAndDestroyChild(cameraNode_->getName());
+    GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->removeAndDestroyChild(cameraNode_->getName());
   }
 
Index: code/branches/gui/src/orxonox/objects/CameraHandler.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/CameraHandler.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/CameraHandler.cc	(revision 1638)
@@ -44,6 +44,7 @@
   CameraHandler::CameraHandler()
   {
-    this->cam_ = GraphicsEngine::getSingleton().getSceneManager()->createCamera("Cam");
-    GraphicsEngine::getSingleton().getRenderWindow()->addViewport(this->cam_);
+    this->cam_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createCamera("Cam");
+    GraphicsEngine::getSingleton().getLevelViewport()->setCamera(this->cam_);
+    GraphicsEngine::getSingleton().getRenderWindow()->addViewport(this->cam_, 2, 0.4, 0.4, 0.2, 0.2);
     /*this->activeCamera_ = *ObjectList<Camera>::begin();
     this->activeCamera_->cam_ = this->cam_;*/
Index: code/branches/gui/src/orxonox/objects/ParticleSpawner.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/ParticleSpawner.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/ParticleSpawner.cc	(revision 1638)
@@ -79,5 +79,5 @@
         this->setPosition(this->getNode()->getParent()->getPosition());
         this->getNode()->getParent()->removeChild(this->getNode());
-        GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->addChild(this->getNode());
+        GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->addChild(this->getNode());
         if (this->particle_)
             this->particle_->setEnabled(false);
Index: code/branches/gui/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/Projectile.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Projectile.cc	(revision 1638)
@@ -75,5 +75,5 @@
         SetConfigValue(speed_, 5000.0).description("The speed of a projectile in units per second");
 
-	if(this->owner_)
+    if(this->owner_)
           this->setVelocity(this->owner_->getInitialDir() * this->speed_);
     }
Index: code/branches/gui/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/Skybox.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Skybox.cc	(revision 1638)
@@ -56,5 +56,5 @@
     void Skybox::setSkybox(const std::string& skyboxname)
     {
-    	GraphicsEngine::getSingleton().getSceneManager()->setSkyBox(true, skyboxname);
+        GraphicsEngine::getSingleton().getLevelSceneManager()->setSkyBox(true, skyboxname);
     }
 
@@ -92,5 +92,5 @@
     {
         BaseObject::changedVisibility();
-        GraphicsEngine::getSingleton().getSceneManager()->setSkyBox(this->isVisible(), this->skyboxSrc_);
+        GraphicsEngine::getSingleton().getLevelSceneManager()->setSkyBox(this->isVisible(), this->skyboxSrc_);
     }
 }
Index: code/branches/gui/src/orxonox/objects/Tickable.h
===================================================================
--- code/branches/gui/src/orxonox/objects/Tickable.h	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/Tickable.h	(revision 1638)
@@ -29,5 +29,5 @@
 /*!
     @file Tickable.h
-    @brief Definition of the Tickable interface.
+    @brief Declaration of the Tickable interface.
 
     The Tickable interface provides a tick(dt) function, that gets called every frame.
Index: code/branches/gui/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/gui/src/orxonox/objects/WorldEntity.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/objects/WorldEntity.cc	(revision 1638)
@@ -49,10 +49,10 @@
         RegisterObject(WorldEntity);
 
-        if (GraphicsEngine::getSingleton().getSceneManager())
+        if (GraphicsEngine::getSingleton().getLevelSceneManager())
         {
             std::ostringstream name;
             name << (WorldEntity::worldEntityCounter_s++);
             this->setName("WorldEntity" + name.str());
-            this->node_ = GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
+            this->node_ = GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->createChildSceneNode(this->getName());
 
             registerAllVariables();
@@ -77,5 +77,5 @@
         {
             this->getNode()->removeAndDestroyAllChildren();
-            GraphicsEngine::getSingleton().getSceneManager()->destroySceneNode(this->getName());
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroySceneNode(this->getName());
         }
     }
@@ -178,5 +178,5 @@
     void WorldEntity::attachObject(const WorldEntity& obj) const
     {
-        GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->removeChild(obj.getNode());
+        GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->removeChild(obj.getNode());
         this->getNode()->addChild(obj.getNode());
     }
@@ -184,5 +184,5 @@
     void WorldEntity::attachObject(WorldEntity* obj) const
     {
-        GraphicsEngine::getSingleton().getSceneManager()->getRootSceneNode()->removeChild(obj->getNode());
+        GraphicsEngine::getSingleton().getLevelSceneManager()->getRootSceneNode()->removeChild(obj->getNode());
         this->getNode()->addChild(obj->getNode());
     }
